> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/report/api-report-fields.md).

# /api/report/fields

## GET /api/report/fields

> Get available report fields

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/report/fields"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_report_fields":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["report"]}}},"paths":{"/api/report/fields":{"get":{"description":"Get available report fields","tags":["/api/report/fields"],"parameters":[{"name":"report","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_report_fields"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_report_fields"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_report_fields"}}}}}}}}}
```
